#! /bin/sh
#
# POCO post install script
#
instpath=$1
mkdir $instpath/etc
echo "export POCO_BASE=$instpath" >$instpath/etc/poco.env
echo "export PATH=\$PATH:\$POCO_BASE/bin" >>$instpath/etc/poco.env
echo "export LD_LIBRARY_PATH=\$LD_LIBRARY_PATH:\$POCO_BASE/lib" >>$instpath/etc/poco.env
echo ""
echo "**** IMPORTANT NOTE ****"
echo ""
echo "The Applied Informatics C++ Libraries and Tools have"
echo "been installed into '$instpath'."
echo ""
echo "To compile the sample applications located in '$instpath/samples',"
echo "you have to set the environment variable POCO_BASE to the"
echo "path given above before invoking GNU make: "
echo ""
echo "> export POCO_BASE=$instpath"
echo ""
echo "You can do that by sourcing the script"
echo "'$instpath/etc/poco.env'."
echo ""
echo "To build the samples for POCO Foundation:"
echo ""
echo "> source $instpath/etc/poco.env"
echo "> cd \$POCO_BASE/samples/Foundation"
echo "> make -s"
echo ""
echo "To view the documentation, point your web browser to"
echo "'$instpath/doc/index.html'."
echo ""
echo "If you have received a license file ('poco.license'),"
echo "please put this file into your home directory."
echo ""
